Article ID: 117951, created on Oct 14, 2013, last review on May 11, 2014

  • Applies to:
  • Virtuozzo 6.0
  • Virtuozzo containers for Linux

Symptoms

vzkernel package cannot be updated due to a problem with dependency resolution:

checkDeps: vzkernel-2.6.32-042stab081.3.x86_64 problem 5 alt bfa-firmware
       bfa-firmware < 3.0.3.1 conflicts with vzkernel-2.6.32-042stab081.3.x86_64

Cause

The newer vzkernel (based on the newer RHEL kernel) conflicts with installed bfa-firmware package.

Resolution

Two possible solutions:

  • Update the server prior to installing the vzkernel update : ~# yum update
  • Remove bfa-firmware package if the server does not actually use Brocade Fibre Channel.

Search Words

bfa-firmware

vzkernel

conflicts

dependency resolution

e8e50b42231236b82df27684e7ec0beb 2897d76d56d2010f4e3a28f864d69223 d02f9caf3e11b191a38179103495106f c62e8726973f80975db0531f1ed5c6a2 0dd5b9380c7d4884d77587f3eb0fa8ef

Email subscription for changes to this article
Save as PDF